# &kdesu; käsiraamat

Geert
Jansen

    g.t.jansen@stud.tue.nl

Lauri
Watts

    lauri@kde.org

Korrigeerija
Marek
Laane

    bald@online.ee

Tõlge eesti keelde
2000
Geert Jansen
&FDLNotice;
2002-01-18
1.00.00

&kdesu; on &UNIX; käsu `su` graafiline kasutajaliides.

KDE
su
parool
administraator

## Sissejuhatus

Tere tulemast kasutama &kdesu;d! &kdesu; on &UNIX; käsu `su` graafiline kasutajaliides KDE töölaua keskkonnas.See võimaldab käivitada rakendusi teise kasutajana, andes vastava kasutaja parooli. &kdesu; on privileegideta rakendus, see kasutab süsteemi käsku `su`.

&kdesu;l on aga üks lisavõimalus: ta võib parooli sinu eest meeles pidada. Seda võimalust kasutades tuleb parool sisestada ainult üks kord. Sellest räägib lähemalt , kus on ka hinnatud selle turvalisust.

Rakendust saab käivitada käsurealt või `.desktop`-faile avades. Kuigi see pärib adminstraatori parooli &GUI; dialoogis, pean ma ise seda rohkem käsurea <> &GUI; seguks kui puhtaks &GUI; rakenduseks.

## &kdesu; kasutamine

kdesu; kasutamine on väga lihtne. Süntaks näeb välja selline:

          kdesu
          USER
          -n
          -t
          -q
          -d
          -f FILE
          -c

    	  COMMAND
    	  ARG1
    	  ARG2

          kdesu

    	-v
    	-h
    	-s

Käsurea võtmeid selgitatakse allpool.

`-c RAKENDUS`

  Määrab rakenduse käivatama administraatori õiguses. See tuleb anda ühe argumendina. Kui näiteks soovid käivitada uut failihaldurit, tuleb käsureale kirjutada ``kdesu `-c kfm -sw```

`-f FAIL`

  Võimaldab kasutada &kdesu;d tõhusalt `.desktop`-failide puhul, käskides &kdesu;l uurida faili, mille nimi on antud parameetriga `FAIL`. Kui käsuandjal on sellel failil kirjutamisõigus, käivitab &kdesu; faili kasutaja õigustes. Kui aga mitte, käivitatakse käsk kasutajana `USER` (vaikimisi administraator).

  Parameetrit `FAIL` võib hinnata järgmiselt: kui `FAIL` algab märgiga `/`, on see absoluutne failinimi. Muul juhul peetakse seda &kde; globaalse seadistustefaili nimeks. Näiteks K kuvahalduri kdm seadistamiseks tuleb anda käsk `kdesu `-c kdmconfig -f kdmrc``

`-t`

  Võimaldab terminaliväljundi ning tühistab parooli säilitamise võimaluse. See on peamiselt mõeldud silumiseks, kui soovid käivitada konsoolirežiimis rakendust, kasuta parem tavapärast `su` käsku.

`-n`

  Parooli ei säilitata. See muudab märkekasti Säilita parool mittekasutatavaks.

`-q`

  Vaikne, kommentaarideta režiim.

`-d`

  Näitab silumisinfot.

`-v`

  Näitab versiooni infot ja väljub.

`-h`

  Näitab abi.

`-s`

  Peatab kdesu deemoni. Lähemalt räägib sellest .

## Seadistamine

&kdesu; käib käsikäes juhtmismooduliga kcmkdesu. Selle leiab K menüü alammenüüst SeadistusedRakendused KDE su. Muuta on võimalik järgmisi asju:

Kajarežiim (echo)

  Määrab selle, kuidas kirjutatud märgil ekraanil välja näevad. Võimalikud valikud on: üks tärn märgi kohta, kolm tärni või kaja puudumine. Vaikevalik on üks tärn märgi kohta.

Paroolide säilitamine

  &kdesu;le saab anda korralduse pidada meeles sisestatud paroole, märkide selleks ära kasti Säilita parool. Kui see on märgitud, saab allasuvale tekstiväljale sisestada aegumisväärtuse. See on ajahulk minutites, mille jooksul parool meeles peetakse. Vaikimisi paroole ei säilitata.

## Siseelu

### X'i autentimine

Käivitatav rakendus töötab administraatori id-ga ning üldiselt ei ole sel ligipääsuõigust X'ile. &kdesu; saab sellest aga üle, lisades autentimisküpsise ajutisele `.Xauthority`-failile. Käsu lõppemisega fail kustutatakse.

Kui sa X'i küpsiseid ei kasuta, ei ole midagi teha. &kdesu; avastab selle ega lisa küpsist, aga siis pead ise tagama, et administraatoril oleks ligipääs X'i seansile.

### `su` liides

&kdesu; kasutab privileegide hankimiseks süsteemi `su` käsku. Siin seletan lähemalt, kuidas &kdesu; seda teeb.

Kuna mõned `su` versioonid (&ie; seesamune &RedHat; oma) ei taha parooli lugeda `stdin`-ist, loob &kdesu; pty/tty paari ning käivitab `su` standardsete tty-ga seotud failikirjendajatega.

Kasutaja antud käsu käivitamiseks kasutab &kdesu; `su` juures võtit `-c`. Seda argumenti tunnistavad kõik shellid, mida ma vähegi tean, nii et see peaks kõikjal toimima. `su` edastab argumendi `-c` sihtshellile ning see käivitab rakenduse. Näide: `su `root -crakendus``.

Selle asemel, et käivita kasutaja antud käsk vahetult `su`-ga, käivitab &kdesu; väikese tüverakenduse nimetusega kdesu_stub. See tüvi (töötab sihtkasutajana) nõuab &kdesu;lt mõningat infot pty/tty kanali kaudu (tüve stdin ja stdout) ning käivitab siis kasutaja rakenduse. Saadetavaks infoks on: X'i seanss, X'i autentimisküpsis (kui on olemas), muutuja `PATH` ja käivitatav käsk. Tüve kasutamise põhjuseks on see, et X'i küpsis kujutab endast varjatud infot, mida ei saa edastada käsureal.

### Parooli kontroll

&kdesu; kontrollib sisestatud parooli ning annab veateate, kui see pole korrektne. Kontrollimiseks käivitatakse testprogramm: `/bin/true`. Kui see õnnestub, peetakse parooli õigeks.

### Parooli säilitamine

Puhtalt kasutaja mugavuse huvides kasutab &kdesu; võimalust Säilita parool. Kui sulle on aga oluline turvalisus, peaksid selle osa hoolikalt läbi lugema.

Luba &kdesu;l parooli säilitada avab (kuigi väikese) turvaaugu sinu süsteemis. On selge, et &kdesu; lubab paroole kasutada ainult sinu kasutaja-id-ga, kuid kui siin ettevaatlikkust ei ilmutata, võrdsustab see administraatori turvataseme tavakasutaja omaga. Sinu kontole sisse murdev häkekr saab sel moel muidu administraatorile lubatud õigused. &kdesu; püüab seda vältida. Kasutatav turvaskeem on vähemalt minu hinnangul mõistuse piires turvaline.

&kdesu; kasutab deemonit nimetusega kdesud. See deemon uurib &UNIX; soklit `/tmp`-s käskude saamiseks. Sokli režiim on 0600, nii et sellega saab ühendust ainult kasutaja id-ga. Kui parooli säilitamine on lubatud, käivitab &kdesu; käsud deemoni kaudu. See kirjutab käsu ja administraatori parooli soklile ning deemon käivitab käsu `su` abil, nagu eespool kirjeldatud. Seejärel ei kustutata kohe käsku ja parooli, vaid need hoitakse teatud aeg alles. See ongi seadistusmoodulis määratav aegumisväärtus. Kui selle jooksul saabub sama käsk uuesti, ei ole kliendil vaja parooli uuesti sisestada. Häkkerite eemalhoidmiseks, kes võivad sinu kontole sisse murda ja deemonilt paroole varastada (näiteks seda silujaga ühendades), on deemon loonud set-group-id nogroup'i. See peaks takistama kõigil tavakasutajatel (ka sinul endal) hankimast paroole kdesud protsessilt. Deemon määrab ka keskkonnamuutuja `DISPLAY` väärtuseks käivitusaegse väärtuse. Sellisel juhul on ainus asi, mida häkker saab teha, rakenduse käivitamine sinu seansis.

Selle skeemi nõrgaks kohaks on asjalu, et rakendused, mida sa käivitad, et ole tõenäoliselt loodud turvalisust silmas pidades (nagu setuid root rakendused). See tähendab, et neil võib esineda puhvri ületäide või muid probleeme, mida häkkerid saavad ära kasutada.

Parooli säilitamise võimalus on kompromiss turvalisuse ja mugavuse vahel. Soovitan väga tungivalt sellele mõelda ja ise otsustada, kas seda kasutada või mitte.

## Autor

&kdesu;

Copyright 2000 Geert Jansen

&kdesu; kirjutas Geert Jansen. Selle aluseks on mõneti Pietro Iglio &kdesu; versioon 0.3, Me leppisime Pietroga kokku, et edaspidi olen selle hooldaja mina.

Autoriga saab ühendust võtta meilitsi: g.t.jansen@stud.tue.nl. Palun anna mulle teada kõigist leitud vigadest, et saaksin need ära parandada. Aga kirjuta ka siis, kui sul on hea mõte, kuidas midagi võiks paremaks muuta.

&underFDL; &underArtisticLicense;

## Paigaldamine

### Allalaadimine

&install.intro.documentation;

### Kompileerimine

&install.compile.documentation;